whey(1)

NAME
whey - Build a wheel for the given project

SYNOPSIS
 whey [OPTIONS] [PROJECT]

DESCRIPTION
whey Build a wheel for the given project:

•   supports PEP 621 metadata.

•   can be used as a PEP 517 build backend.

•   creates PEP 427 wheels.

•   handles type hint files (py.typed and *.pyi stubs).

•   is distributed under the MIT License.

OPTIONS
-s, --sdist - Build a source distribution.

-w, --wheel - Build a wheel.

-b, --binary - Build a binary distribution.

-B, --builder <BUILDER> - The builder to build with.

--build-dir <DIRECTORY> - The temporary build directory.

-o, --out-dir <DIRECTORY> - The output directory.

-v, --verbose - Enable verbose output.

-S, --show-builders -
    Show the builders which will be used, and exit.

--colour, --no-colour - Whether to use coloured output.

-T, --traceback - Show the complete traceback on error.

--version
    - Show the version and exit.

-h, --help - Show this message and exit.

AUTHORS
Written by Dominic Davis-Foste <dominic@davis-foster.co.uk>

This manual page was written by Josenison F. da Silva <nilsonfsilva@hotmail.com> and Bo YU <tsu.yubo@gmail.com> for the Debian project (but may be used by others).